ScarfHilbertAlgorithm::State Struct Reference

## Public Attributes

Term | term
Ideal::const_iterator | pos
vector< Exponent * > | face
bool | plus

## Detailed Description

Definition at line 46 of file ScarfHilbertAlgorithm.h.

## Member Data Documentation

## face

vector<Exponent*> ScarfHilbertAlgorithm::State::face

Definition at line 49 of file ScarfHilbertAlgorithm.h.

## plus

bool ScarfHilbertAlgorithm::State::plus

Definition at line 50 of file ScarfHilbertAlgorithm.h.

## pos

Ideal::const_iterator ScarfHilbertAlgorithm::State::pos

Definition at line 48 of file ScarfHilbertAlgorithm.h.

## term

Term ScarfHilbertAlgorithm::State::term

Definition at line 47 of file ScarfHilbertAlgorithm.h.

The documentation for this struct was generated from the following file:

- src/ScarfHilbertAlgorithm.h